﻿using Shimmy.Api.Config;

namespace SamplePlugin.Serializers
{
    public class StringArrayPropertySerializer : IPropertySerializer
    {
        public string Serialize(object value)
        {
            var array = value as string[];
            if (array != null)
            {
                return string.Join("\t", array);
            }
            return string.Empty;
        }

        public object Deserialize(string value)
        {
            if (string.IsNullOrEmpty(value))
            {
                return null;
            }
            return value.Split(new[] { '\t' });
        }
    }
}