﻿using EnvDTE;

namespace Shimmy.Api
{
    /// <summary>
    /// Safe access to application events.  Used to create references to event objects
    /// to prevent unbinding (http://support.microsoft.com/kb/555430)
    /// </summary>
    public class ApplicationEvents
    {
        /// <summary>
        /// Gets or sets the build events.
        /// </summary>
        /// <value>The build events.</value>
        public BuildEvents BuildEvents { get; set; }

        /// <summary>
        /// Gets or sets the command bar events.
        /// </summary>
        /// <value>The command bar events.</value>
        public CommandBarEvents CommandBarEvents { get; set; }

        /// <summary>
        /// Gets or sets the command events.
        /// </summary>
        /// <value>The command events.</value>
        public CommandEvents CommandEvents { get; set; }

        /// <summary>
        /// Gets or sets the debugger events.
        /// </summary>
        /// <value>The debugger events.</value>
        public DebuggerEvents DebuggerEvents { get; set; }

        /// <summary>
        /// Gets or sets the document events.
        /// </summary>
        /// <value>The document events.</value>
        public DocumentEvents DocumentEvents { get; set; }

        /// <summary>
        /// Gets or sets the DTE events.
        /// </summary>
        /// <value>The DTE events.</value>
        public DTEEvents DteEvents { get; set; }

        /// <summary>
        /// Gets or sets the find events.
        /// </summary>
        /// <value>The find events.</value>
        public FindEvents FindEvents { get; set; }

        /// <summary>
        /// Gets or sets the project items events.
        /// </summary>
        /// <value>The project items events.</value>
        public ProjectItemsEvents ProjectItemsEvents { get; set; }

        /// <summary>
        /// Gets or sets the output window events.
        /// </summary>
        /// <value>The output window events.</value>
        public OutputWindowEvents OutputWindowEvents { get; set; }

        /// <summary>
        /// Gets or sets the selection events.
        /// </summary>
        /// <value>The selection events.</value>
        public SelectionEvents SelectionEvents { get; set; }

        /// <summary>
        /// Gets or sets the solution events.
        /// </summary>
        /// <value>The solution events.</value>
        public SolutionEvents SolutionEvents { get; set; }

        /// <summary>
        /// Gets or sets the solution items events.
        /// </summary>
        /// <value>The solution items events.</value>
        public ProjectItemsEvents SolutionItemsEvents { get; set; }

        /// <summary>
        /// Gets or sets the task list events.
        /// </summary>
        /// <value>The task list events.</value>
        public TaskListEvents TaskListEvents { get; set; }

        /// <summary>
        /// Gets or sets the text editor events.
        /// </summary>
        /// <value>The text editor events.</value>
        public TextEditorEvents TextEditorEvents { get; set; }

        /// <summary>
        /// Gets or sets the window events.
        /// </summary>
        /// <value>The window events.</value>
        public WindowEvents WindowEvents { get; set; }
    }
}