﻿namespace Shimmy.Api.Config
{
    /// <summary>
    /// Interface to be implemented by serializers on properties
    /// </summary>
    public interface IPropertySerializer
    {
        /// <summary>
        /// Serializes the specified value.
        /// </summary>
        /// <param name="value">The value.</param>
        /// <returns></returns>
        string Serialize(object value);

        /// <summary>
        /// Deserializes the specified value.
        /// </summary>
        /// <param name="value">The value.</param>
        /// <returns></returns>
        object Deserialize(string value);
    }
}
