﻿using System;

namespace Shimmy.Api.Config
{
    /// <summary>
    /// Property Serializer
    /// </summary>
    [AttributeUsage(AttributeTargets.Property, AllowMultiple = false, Inherited = true)]
    public class PropertySerializerAttribute : Attribute
    {
        /// <summary>
        /// Gets or sets the serializer.
        /// </summary>
        /// <value>The serializer.</value>
        public Type Serializer { get; set; }

        /// <summary>
        /// Initializes a new instance of the <see cref="PropertySerializerAttribute"/> class.
        /// </summary>
        /// <param name="serializer">The serializer.</param>
        public PropertySerializerAttribute(Type serializer)
        {
            Serializer = serializer;
        }
    }
}