﻿using System.ComponentModel;

namespace Shimmy.Api
{
    /// <summary>
    /// An action
    /// </summary>
    public interface IAction
    {
        /// <summary>
        /// Gets or sets a value indicating whether this <see cref="IAction"/> is enabled.
        /// </summary>
        /// <value><c>true</c> if enabled; otherwise, <c>false</c>.</value>
        bool Enabled { get; set; }

        /// <summary>
        /// Gets the name of the action.
        /// </summary>
        /// <value>The name.</value>
        string ActionName { get; }

        /// <summary>
        /// Initializes the action.
        /// </summary>
        /// <param name="pluginContext">The plugin context.</param>
        void Initialize(PluginContext pluginContext);

        /// <summary>
        /// Unloads this action.  Clean up any resources/events.
        /// </summary>
        /// <param name="pluginContext">The plugin context.</param>
        void Unload(PluginContext pluginContext);
    }
}
