﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using EnvDTE;

using EnvDTE80;

namespace Shimmy.Api
{
    /// <summary>
    /// Context passed to all plugin interfaces
    /// </summary>
    public class PluginContext
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="PluginContext"/> class.
        /// </summary>
        public PluginContext()
        {
            ContextData = new Dictionary<string, object>();
        }

        /// <summary>
        /// Gets or sets the application.
        /// </summary>
        /// <value>The application.</value>
        public DTE2 Application { get; set; }

        /// <summary>
        /// Gets or sets the add in.
        /// </summary>
        /// <value>The add in.</value>
        public AddIn AddIn { get; set; }

        /// <summary>
        /// Gets or sets the application events.
        /// </summary>
        /// <value>The application events.</value>
        public ApplicationEvents ApplicationEvents { get; set; }

        /// <summary>
        /// Gets the context data.
        /// </summary>
        /// <value>The context data.</value>
        public Dictionary<string, object> ContextData { get; private set; }
    }
}
