﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Shimmy.Api.Utils
{
    /// <summary>
    /// Error handler
    /// </summary>
    public static class ErrorHandler
    {
        /// <summary>
        /// Gets or sets the handler.
        /// </summary>
        /// <value>The handler.</value>
        public static Action<Exception, string> Handler { get; set; }

        /// <summary>
        /// Handles the error.
        /// </summary>
        /// <param name="message">The message.</param>
        /// <param name="exception">The exception.</param>
        public static void HandleError(string message, Exception exception = null)
        {
            if (Handler != null)
            {
                Handler(exception, message);
            }
        }
    }
}
