﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Shimmy.Api.Utils
{
    /// <summary>
    /// Image converter
    /// </summary>
    internal class ImageConverter
    {
        /// <summary>
        /// Creates an stdole compatible picture from the given image
        /// </summary>
        /// <param name="image">The image.</param>
        /// <returns></returns>
        public static stdole.StdPicture ToStdPicture(Image image)
        {
            return InternalConverter.ImageToIPicture(image);
        }

        private class InternalConverter : AxHost
        {
            public InternalConverter()
                : base("08743FF2-C5C8-11DF-9440-B683DFD72085")
            {
            }

            public static stdole.StdPicture ImageToIPicture(Image image)
            {
                return (stdole.StdPicture)GetIPictureDispFromPicture(image);
            }
        }
    }
}
