﻿using System.IO;
using System.Threading;

namespace Shimmy.Lib.Utils
{
    internal static class FileSystemUtils
    {
        public static bool Exists(FileSystemInfo entity, int timeoutMilliseconds = 500)
        {
            bool exists = false;
            var processingThread = new Thread(() => { exists = entity.Exists; });
            processingThread.Start();
            var completed = processingThread.Join(timeoutMilliseconds);
            if (!completed)
            {
                exists = false;
                processingThread.Abort();
            }
            return exists;
        } 
    }
}
